## NOTE nonfree only
# Not for linux 32bits
ExclusiveArch: armv7hl aarch64 x86_64

%define piname	o-charts_pi

Name:		opencpn-o-charts-plugin
Summary:	Provides support for encrypted charts available from o-charts.org
Version:	1.0.29.0
Release:	%mkrel 2
License:	GPLv3+ & partly closed Source
# See README.md for distribution permission for pre-built binary
Group:		Geography
URL:		https://github.com/bdbcat/o-charts_pi
Source0:	https://github.com/bdbcat/%{piname}/archive/%{piname}-%{version}.tar.gz
Patch1:     o-charts_pi-1.0.29.0-libs-CMakeLists.patch

BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.0)

Requires:	opencpn
Provides:	%{piname} = %{version}
Obsoletes:	opencpn-oernc-plugin < 1.2.5-4
Obsoletes:	opencpn-oesenc-plugin < 4.2.17-2

%description
This is a plugin for OpenCPN [1] providing support for encrypted charts
available from o-charts.org [2]. The plugin supports purchase, downloading
and rendering of these charts.

-[1] https://www.opencpn.org
-[2] http://o-charts.org

This package is in the nonfree repository as it contains a proprietary binary.
See README.md in the package doc directory for the license information.

%prep
%setup -q -n %{piname}-%{version}
%autopatch -p1

%build
%ifarch armv7hl aarch64 x86_64
cmake -DCMAKE_BUILD_TYPE=Debug -B .
make
%endif


%install

%ifarch armv7hl aarch64 x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
install ./app/o-charts-1.0-mageia-*/lib/opencpn/libo-charts_pi.so %{buildroot}%{_libdir}/opencpn
%endif
%ifarch x86_64 aarch64
mkdir -p %{buildroot}/usr/lib/opencpn
install ./app/o-charts-1.0-mageia-*/lib/opencpn/libo-charts_pi.so %{buildroot}/usr/lib/opencpn
%endif
mkdir -p %{buildroot}%{_docdir}/%{piname}
install README.md %{buildroot}%{_docdir}/%{piname}
mkdir -p %{buildroot}%{_bindir}

%ifarch x86_64
cp ./libs/oeserverd/linux64/oexserverd %{buildroot}%{_bindir}
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}%{_bindir}
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}%{_libdir}
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}/usr/lib/
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}%{_libdir}/opencpn
%endif

%ifarch armv7hl
cp ./libs/oeserverd/linuxarm/oexserverd %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm/libsgl*.so %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm/libsgl*.so %{buildroot}%{_libdir}
cp ./libs/oeserverd/linuxarm/libsgl*.so %{buildroot}%{_libdir}/opencpn
%endif

%ifarch aarch64
cp ./libs/oeserverd/linuxarm64/oexserverd %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}%{_libdir}
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}/usr/lib/
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}%{_libdir}/opencpn
%endif

%ifarch armv7hl aarch64 x86_64
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
install ./data/*.* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data

mkdir -p %{buildroot}%{_datadir}/locale
cp -r ./app/o-charts-1.0-mageia-*/share/locale %{buildroot}%{_datadir}
%endif

%files
%{_libdir}/opencpn/
%{_bindir}/oexserverd
/usr/lib/libsgl*.so
/usr/lib/opencpn/libo-charts_pi.so
%{_bindir}/libsgl*.so
%{_libdir}/libsgl*.so
%{_libdir}/opencpn/libo-charts_pi.so
%{_libdir}/opencpn/libsgl*.so
%{_datadir}/opencpn/plugins/%{piname}/data/*.*
%{_docdir}/%{piname}/README.md
%{_datadir}/locale


%changelog
* Mon Jul 11 2022 philippedidier <philippedidier> 1.0.29.0-2.mga9.nonfree
+ Revision: 1868394
- new version 1.0.29.0 correct patch for aarch64
- new version 1.0.29.0 patch added for aarch64
- now try to build on aarch64
- new try to really do not build on linux 32bits
- really do not build on linux 32bits
- really do not build on linux 32bits
- do not build on linux 32bits
- do not build on linux 32bits
- imported package opencpn-o-charts-plugin

